package com.oguerreiro.resilient.service.dto;

import java.util.ArrayList;
import java.util.List;

import io.swagger.v3.oas.annotations.media.Schema;

/**
 * A DTO for the {@link com.oguerreiro.resilient.domain.DashboardComponent} entity.
 */
@Schema(description = "DashboardComponentView")
public class DashboardComponentViewDTO extends DashboardComponentDTO {

  private static final long serialVersionUID = 1L;

  private List<DashboardComponentDetailValueDTO> dashboardComponentViewDetails = new ArrayList<>();

  public List<DashboardComponentDetailValueDTO> getDashboardComponentViewDetails() {
    return dashboardComponentViewDetails;
  }

  public void setDashboardComponentViewDetails(List<DashboardComponentDetailValueDTO> dashboardComponentViewDetails) {
    this.dashboardComponentViewDetails = dashboardComponentViewDetails;
  }

//@formatter:off
  @Override
  public String toString() {
    return "DashboardComponentViewDTO{" + super.toString() + 
           "}";
  }
//@formatter:on
}
